> For the complete documentation index, see [llms.txt](https://docs.velo.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.velo.xyz/api/http.md).

# HTTP

Base: `https://api.velo.xyz/api/v1`

### **Examples**

**Quick Start**

`$ curl -v --user "api:api_key" "https://api.velo.xyz/api/v1/caps?coins=BTC,ETH"`

***

### **Helper Methods**

* Key status: `/status`
* Supported futures: [`/futures`](https://api.velo.xyz/api/v1/futures)
* Supported options: [`/options`](https://api.velo.xyz/api/v1/options)
* Supported spot pairs: [`/spot`](https://api.velo.xyz/api/v1/spot)

***

### Data Methods

<details>

<summary>Get rows</summary>

`/rows`

* type: 'futures', 'options', or 'spot'
* exchanges, products, coins, columns: comma separated for multiple
* begin, end: millisecond timestamp
* resolution: minutes or resolution string

Returns text in CSV format

*HTTP requests are limited to returning 22500 values per request. See an example implementation of request batching* [*here*](https://github.com/velodataorg/velo-node/blob/34489ca79211e4bae171c5da0f0b9beee3b2f214/lib/client.js#L72)

*If both \`coins\` and \`products\` are specified, only \`products\` will be used*

</details>

<details>

<summary>Get options term structure</summary>

`/terms`

* coins: comma separated for multiple

Returns text in CSV format

*Latest values only*

</details>

<details>

<summary>Get market caps</summary>

`/caps`

* coins: comma separated for multiple

Returns text in CSV format

*Latest values only*

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.velo.xyz/api/http.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
